PDA

View Full Version : Errors occurred during the build. Errors running builder 'VJET Script Builder'



zeronil
5 Jan 2014, 2:00 PM
I'm evaluating EXT JS using the trial version and I installed the Eclipse plugin using the instructions included with the plugin and the video at http://www.sencha.com/blog/using-sencha-cmd-and-the-sencha-eclipse-plugin-together/.

I am using Eclipse Java EE IDE for Web Developers (Kepler Service Release 1), Sencha Eclipse Plugin 2.1.0.57 and ext-4.2.2.1144.

I used "sencha generate app" to create the basic app structure, but when I open Eclipse I get a message that says "Errors occurred during the build. Errors running builder 'VJET Script Builder'".

Are there undocumented configuration changes that I need to make in order to prevent this error from occurring?

Thanks!

zeronil
7 Jan 2014, 2:25 PM
Has anyone been able to get the Eclipse plug-in working, or is it no longer supported? If it does work, can someone share what version of Eclipse they are using and any tips or tricks that are needed? I've tried installing Eclipse Kepler and Indigo and am seeing build errors in each.Sencha seems like they make a good development product, but just getting an environment set up where I can do productive work has been very time consuming and frustrating. It doesn't make for a good initial experience for a potential new developer :-(

Gary Schlosberg
14 Jan 2014, 9:56 AM
So you followed the instructions in the Sencha_Eclipse_Plugin_InstallandUse.pdf file? Do you mean that you are having trouble getting Eclipse installed as well?

zeronil
14 Jan 2014, 12:17 PM
No, Eclipse installs fine but once I install the plug-in in Eclipse then Eclipse begins reporting a build error when I open the EXT JS project.

In my first posting I wrote: I used "sencha generate app" to create the basic app structure, but when I open Eclipse I get a message that says "Errors occurred during the build. Errors running builder 'VJET Script Builder.

I thought it might be specific to the version of Eclipse, but I've tried three different versions of Eclipse and all of the versions that I've tried have the same problem.

I don't know if the app that is generated by the "sencha generate app" command is not compatible with VJET Script Builder, or if there is an installation step that is undocumented, or if there is a known reason why VJET Script Builder generates build errors.

zolf
7 Nov 2014, 9:44 PM
Hi,

I am also facing the same problem with sencha touch. I tried different eclipse versions and all seems to have this problem. As soon as you create a new VJET project in eclipse and click finish button. I get this error. I also posted a new thread some month back but no luck and now I was trying to seach the internet for a solution and bumped into this thread. Please help.!!

cheers
Zolf

Iveco
21 Apr 2015, 4:31 PM
Sorry to pull this old thread, but thats exactly the error I get.

I've followed the exact steps from Sencha_Eclipse_Plugin_InstallandUse.pdf and http://www.sencha.com/blog/sencha-eclipse-plugin-tips-tricks

Using: SenchaEclipsePlugin-2.1.0, SenchaTouchTL-2.2.zip

Error:

An internal error occurred during: "Building Workspace".
Lexical error at line 1, column 9. Encountered: "/" (47), after : ""

(my workspace has no spaces in dirname)

Is there a known solution for this?